diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 9603823..5f2bd15 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -57,6 +57,8 @@ clean:
 	@ rm -f lsp/Makefile.dvi
 	@ rm -f lsp/Makefile
 	@ rm -rf lsp/gcl*
+	@ rm -rf aldor
+        @ rm -f license/license.aldor
 	@ rm -f noweb 
 	@ rm -f trace
 	@ rm -f Makefile.${SYS}
@@ -78,7 +80,7 @@ Makefile in the mnt/sys/bin directory as the trigger to prevent
 duplicate execution of this stanza.
 <<literate commands>>=
 ${MNT}/${SYS}/bin/document:
-	@echo 0 ${ENV}
+	@echo 9 ${ENV}
 	@echo 10 copying ${SRC}/scripts to ${MNT}/${SYS}/bin
 	@cp -pr ${SRC}/scripts/* ${MNT}/${SYS}/bin
 
@@ -298,6 +300,7 @@ SYS=$(notdir $(AXIOM))
 SPAD=${SPD}/mnt/${SYS}
 LSP=${SPD}/lsp
 <<GCLVERSION>>
+<<ALDOR ENV>>
 AWK=gawk
 GCLDIR=${LSP}/${GCLVERSION}
 SRC=${SPD}/src
@@ -324,8 +327,9 @@ ENV= SPAD=${SPAD} SYS=${SYS} SPD=${SPD} LSP=${LSP} GCLDIR=${GCLDIR} \
      SPADBIN=${SPADBIN} INC=${INC} CCLBASE=${CCLBASE} PART=${PART} \
      SUBPART=${SUBPART} NOISE=${NOISE} GCLVERSION=${GCLVERSION} \
      TANGLE=${TANGLE} VERSION=${VERSION} PATCH=${PATCH} DOCUMENT=${DOCUMENT} \
-     WEAVE=${WEAVE}
-
+     WEAVE=${WEAVE} \
+     ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+     ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 @
 \subsection{rootdirs}
 Note that the -p (parent) option to mkdir will make all intermediate
@@ -359,7 +363,7 @@ run latex over the pamphlet file.
 
 <<book>>=
 book:
-	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
+	@ echo 13 building the book as ${MNT}/${SYS}/doc/book.dvi 
 	@ mkdir -p ${TMP}
 	@ mkdir -p ${MNT}/${SYS}/doc
 	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
@@ -376,7 +380,7 @@ book:
 	  rm book.toc ; \
 	  rm book.log ; \
 	  rm book.aux )
-	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 
+	@ echo 14 The book is at ${MNT}/${SYS}/doc/book.dvi 
 
 @
 \subsection{noweb}
@@ -432,7 +436,7 @@ because this is not a source file.
 \end{verbatim}
 <<noweb>>=
 noweb:
-	@echo 13 making noweb
+	@echo 15 making noweb
 	@mkdir -p ${OBJ}/noweb
 	@mkdir -p ${TMP}
 	@mkdir -p ${MNT}/${SYS}/bin/lib
@@ -446,10 +450,10 @@ noweb:
 	${ENV} ${MAKE} BIN=${MNT}/${SYS}/bin/lib LIB=${MNT}/${SYS}/bin/lib \
                 MAN=${MNT}/${SYS}/bin/man \
                 TEXINPUTS=${MNT}/${SYS}/bin/tex all install >${TMP}/trace )
-	@echo The file marks the fact that noweb has been made > noweb
+	@echo 16 The file marks the fact that noweb has been made > noweb
 
 nowebclean:
-	@echo 14 cleaning ${OBJ}/noweb
+	@echo 17 cleaning ${OBJ}/noweb
 	@rm -rf ${OBJ}/noweb
 	@rm -f noweb
 
@@ -461,22 +465,22 @@ We should recompile the world with the .fn information but not here.
 	    do echo $$i ; touch $$i ; done )
 	( for i in `find . -name "*.lisp"` ; \
 	    do echo $$i ; touch $$i ; done )
-	@echo 15a remaking ${SRC}/interp for performance
+	@echo 18 remaking ${SRC}/interp for performance
 	@(cd src ; ${ENV} ${MAKE} )
 \end{verbatim}
 <<src>>=
 srcdir: rootdirs ${SPD}/src/Makefile
-	@echo 15 making ${SPD}/src 
+	@echo 19 making ${SPD}/src 
 	@( cd src ; ${ENV} ${MAKE} )
 
 ${SPD}/src/Makefile: ${SPD}/src/Makefile.pamphlet
-	@echo 16 making ${SPD}/src/Makefile from ${SPD}/src/Makefile.pamphlet
+	@echo 20 making ${SPD}/src/Makefile from ${SPD}/src/Makefile.pamphlet
 	@( cd src ; \
 	   ${DOCUMENT} ${NOISE} Makefile ; \
 	   cp Makefile.dvi ${MNT}/${SYS}/doc/src/src.Makefile.dvi )
 
 libspadclean:
-	@echo 17 cleaning ${OBJ}/${SYS}/lib	
+	@echo 21 cleaning ${OBJ}/${SYS}/lib	
 	@rm -rf ${OBJ}/${SYS}/lib	
 	@( cd src ; ${DOCUMENT} ${NOISE} Makefile )
 	@( cd src ; ${ENV} ${MAKE} clean )
@@ -487,7 +491,7 @@ libspadclean:
 \subsection{src setup}
 <<srcsetup>>=
 srcsetup: rootdirs ${SPD}/src/Makefile
-	@echo 18 making ${SPD}/src 
+	@echo 22 making ${SPD}/src 
 	@( cd src ; ${ENV} ${MAKE} setup )
 
 @
@@ -516,7 +520,7 @@ then the Makefile is rewritten to extract the later version.
 It looks for a chunk name that matches the version number.
 <<LSPMakefile>>=
 ${LSP}/Makefile: ${LSP}/Makefile.pamphlet
-	@echo 20 making ${LSP}/Makefile from ${LSP}/Makefile.pamphlet
+	@echo 23 making ${LSP}/Makefile from ${LSP}/Makefile.pamphlet
 	@( cd lsp ; \
 	 ${DOCUMENT} ${NOISE} Makefile ; \
 	 if [ "${GCLVERSION}" != "gcl-2.4.1" ] ; then \
@@ -541,7 +545,7 @@ more efficient. The [[sys-proclaims]] file contains type information
 about standard common lisp function calls.
 <<lsp>>=
 lspdir: rootdirs ${MNT}/${SYS}/bin/document ${LSP}/Makefile
-	@echo 19 making ${LSP}
+	@echo 24 making ${LSP}
 	@mkdir -p ${OBJ}/${SYS}/bin
 	@mkdir -p ${OBJ}/${SYS}/lsp
 	@(cd lsp ; ${ENV} ${MAKE} gcldir )
@@ -549,7 +553,7 @@ lspdir: rootdirs ${MNT}/${SYS}/bin/document ${LSP}/Makefile
 
 <<LSPMakefile>>
 lspclean:
-	@echo 21 cleaning ${OBJ}/${SYS}/ccl
+	@echo 25 cleaning ${OBJ}/${SYS}/ccl
 	@rm -rf ${LSP}/${GCLVERSION}
 	@rm -rf ${INT}/ccl
 	@rm -rf ${OBJ}/${SYS}/ccl
@@ -557,10 +561,43 @@ lspclean:
 	@rm -f ${LSP}/Makefile ${LSP}/Makefile.dvi
 
 @
+\subsection{aldor}
+Aldor is handled like lisp, that is, it is not part of Axiom but is
+built from a tar-gzipped version that is cached in the zips
+directory. We untar the file into the src directory, cd to that
+location, and let aldor build itself. As new versions are released
+they will be kept in zips on a rolling basis, the current and next
+previous versions. All patches for all versions will also be kept.
+
+The ALDOR\_PROJECT variable points to the source location for the Aldor
+compiler installation. Aldor gets untarred in the top level directory so
+<<ALDOR ENV>>=
+ALDORVERSION=20070901
+ALDOR_PROJECT=${SPD}/aldor
+ALDOR_INSTALL=${AXIOM}
+GENERIC_DIR=${AXIOM}
+@
+
+Finally we copy the parts we care about into the appropriate locations.
+
+\subsection{aldor}
+<<aldor>>=
+aldordir: 
+	@echo 26 making ${SPD}/aldor version ${ALDORVERSION}
+	@( cd ${SPD} ; \
+           tar -zxf ${ZIPS}/aldor.${ALDORVERSION}.tgz ; \
+	   cd aldor ; \
+	   patch <${ZIPS}/aldor.${ALDORVERSION}.Makefile.globals.patch ; \
+           ${ENV} ${MAKE} aldorcompiler ; \
+           cd aldor ; \
+	   cp ${SPD}/aldor/LICENSE license/license.aldor ; \
+           cp ${SPD}/aldor/pdfs/* ${AXIOM}/doc )
+
+@
 \subsection{install}
 <<install>>=
 install:
-	@echo 78 installing Axiom in ${DESTDIR}
+	@echo 27 installing Axiom in ${DESTDIR}
 	@mkdir -p ${DESTDIR}
 	@cp -pr ${MNT} ${DESTDIR}
 	@echo '#!/bin/sh -' >${COMMAND}
@@ -570,7 +607,7 @@ install:
 	@echo export PATH >>${COMMAND}
 	@cat ${INT}/sman/axiom >>${COMMAND}
 	@chmod +x ${COMMAND}
-	@echo 79 Axiom installation finished.
+	@echo 28 Axiom installation finished.
 	@echo
 	@echo Please add $(shell dirname ${COMMAND}) to your PATH variable
 	@echo Start Axiom with the command $(shell basename ${COMMAND})
@@ -591,7 +628,7 @@ sure the [[INT/DOC/LSP]] and [[INT/DOC/SRC]] directories exist.
 
 <<document>>=
 document: rootdirs
-	@echo 22 documenting files
+	@echo 29 documenting files
 	@mkdir -p ${INT}/doc/lsp
 	@mkdir -p ${INT}/doc/src
 	@(cd lsp ; ${ENV} ${MAKE} document )
@@ -601,8 +638,8 @@ document: rootdirs
 \subsection{clean}
 <<clean>>=
 clean: 
-	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
-	@ echo 8 Environment ${ENV}
+	@ echo 30 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
+	@ echo 31 Environment ${ENV}
 	@ rm -f lsp/Makefile.dvi
 	@ rm -f lsp/Makefile
 	@ rm -f noweb 
@@ -804,19 +841,24 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 24 Makefile.axposf1v3 called
-	@echo 25 Environment : ${ENV} 
-	@echo 26 finished system build on `date` | tee >lastBuildDate
 
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 32 Makefile.axposf1v3 called
+	@echo 33 Environment : ${ENV} 
+	@echo 34 finished system build on `date` | tee >lastBuildDate
+
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -850,19 +892,24 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP}  DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
+
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 27 Makefile.axposf1v4 called
-	@echo 28 Environment : ${ENV} 
-	@echo 29 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 35 Makefile.axposf1v4 called
+	@echo 36 Environment : ${ENV} 
+	@echo 37 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -896,19 +943,24 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP}  DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 30 Makefile.hp10 called
-	@echo 31 Environment : ${ENV} 
-	@echo 32 finished system build on `date` | tee >lastBuildDate
 
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 38 Makefile.hp10 called
+	@echo 39 Environment : ${ENV} 
+	@echo 40 finished system build on `date` | tee >lastBuildDate
+
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -942,19 +994,24 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
+
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 33 Makefile.hp11 called
-	@echo 34 Environment : ${ENV} 
-	@echo 35 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 41 Makefile.hp11 called
+	@echo 42 Environment : ${ENV} 
+	@echo 43 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -988,19 +1045,24 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 36 Makefile.hp9 called
-	@echo 37 Environment : ${ENV} 
-	@echo 38 finished system build on `date` | tee >lastBuildDate
 
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 44 Makefile.hp9 called
+	@echo 45 Environment : ${ENV} 
+	@echo 46 finished system build on `date` | tee >lastBuildDate
+
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1034,19 +1096,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 39 Makefile.irixmips1 called
-	@echo 40 Environment : ${ENV} 
-	@echo 41 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 47 Makefile.irixmips1 called
+	@echo 48 Environment : ${ENV} 
+	@echo 49 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1079,19 +1145,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 42 Makefile.irixmips3 called
-	@echo 43 Environment : ${ENV} 
-	@echo 44 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 50 Makefile.irixmips3 called
+	@echo 51 Environment : ${ENV} 
+	@echo 52 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1131,19 +1201,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH} TANGLE=${TANGLE}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} TANGLE=${TANGLE} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.FreeBSD called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 53 Makefile.FreeBSD called
+	@echo 54 Environment : ${ENV} 
+	@echo 55 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1184,19 +1258,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 SRCDIRS=bootdir interpdir sharedir algebradir etcdir docdir inputdir
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.windows called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 56 Makefile.windows called
+	@echo 57 Environment : ${ENV} 
+	@echo 58 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1245,19 +1323,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 59 Makefile.linux called
+	@echo 60 Environment : ${ENV} 
+	@echo 61 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1320,19 +1402,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 62 Makefile.fedora5 called
+	@echo 63 Environment : ${ENV} 
+	@echo 64 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1395,19 +1481,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 65 Makefile.fedora6 called
+	@echo 66 Environment : ${ENV} 
+	@echo 67 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1470,19 +1560,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 68 Makefile.fedora7 called
+	@echo 69 Environment : ${ENV} 
+	@echo 70 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1545,19 +1639,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 71 Makefile.fedora8 called
+	@echo 72 Environment : ${ENV} 
+	@echo 73 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1577,6 +1675,8 @@ on which is available. This varies at different stages of the build.
 
 We've modified the [[GCLOPTS]] variable because [[bfd]] does not seem
 to work on Solaris 9. So we use a local version shipped with GCL.
+
+The gentoo build needs -lXpm on the loader flags (LDF).
 <<Makefile.gentoo>>=
 # System dependent Makefile for the Intel/Linux/Gentoo platform
 # Platform variable
@@ -1584,7 +1684,7 @@ PLF=LINUXplatform
 # C compiler flags
 CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
 # Loader flags
-LDF= -L/usr/X11R6/lib 
+LDF= -L/usr/X11R6/lib -lXpm
 # C compiler to use
 CC=gcc 
 AWK=gawk
@@ -1599,19 +1699,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 74 Makefile.gentoo called
+	@echo 75 Environment : ${ENV} 
+	@echo 76 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1650,19 +1754,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 77 Makefile.fedora64 called
+	@echo 78 Environment : ${ENV} 
+	@echo 79 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1697,19 +1805,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 80 Makefile.fedora3 called
+	@echo 81 Environment : ${ENV} 
+	@echo 82 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1744,19 +1856,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 48 Makefile.linuxglibc called
-	@echo 49 Environment : ${ENV} 
-	@echo 50 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 83 Makefile.linuxglibc called
+	@echo 84 Environment : ${ENV} 
+	@echo 85 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1790,19 +1906,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 51 Makefile.linuxglibc2.1 called
-	@echo 52 Environment : ${ENV} 
-	@echo 53 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 86 Makefile.linuxglibc2.1 called
+	@echo 87 Environment : ${ENV} 
+	@echo 88 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1841,19 +1961,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-LOCBFD>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=gpatch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 89 Makefile.solaris9 called
+	@echo 90 Environment : ${ENV} 
+	@echo 91 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1887,19 +2011,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 54 Makefile.rs6000aix3 called
-	@echo 55 Environment : ${ENV} 
-	@echo 56 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 92 Makefile.rs6000aix3 called
+	@echo 93 Environment : ${ENV} 
+	@echo 94 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1933,19 +2061,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 57 Makefile.rs6000aix4 called
-	@echo 58 Environment : ${ENV} 
-	@echo 59 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 95 Makefile.rs6000aix4 called
+	@echo 96 Environment : ${ENV} 
+	@echo 97 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -1979,19 +2111,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 60 Makefile.rs6000aix4.1 called
-	@echo 61 Environment : ${ENV} 
-	@echo 62 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 98 Makefile.rs6000aix4.1 called
+	@echo 99 Environment : ${ENV} 
+	@echo 100 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2025,19 +2161,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 63 Makefile.rs6000aix4.3 called
-	@echo 64 Environment : ${ENV} 
-	@echo 65 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 101 Makefile.rs6000aix4.3 called
+	@echo 102 Environment : ${ENV} 
+	@echo 103 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2072,19 +2212,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 66 Makefile.sun4os55c called
-	@echo 67 Environment : ${ENV} 
-	@echo 68 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 104 Makefile.sun4os55c called
+	@echo 105 Environment : ${ENV} 
+	@echo 106 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2118,19 +2262,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 69 Makefile.sun4os55g called
-	@echo 70 Environment : ${ENV} 
-	@echo 71 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 107 Makefile.sun4os55g called
+	@echo 108 Environment : ${ENV} 
+	@echo 109 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2165,19 +2313,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 72 Makefile.sun4os58c called
-	@echo 73 Environment : ${ENV} 
-	@echo 74 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 110 Makefile.sun4os58c called
+	@echo 111 Environment : ${ENV} 
+	@echo 112 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2211,19 +2363,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 75 Makefile.sung called
-	@echo 76 Environment : ${ENV} 
-	@echo 77 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir
+	@echo 113 Makefile.sung called
+	@echo 114 Environment : ${ENV} 
+	@echo 115 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
@@ -2274,19 +2430,23 @@ DAASE=${SRC}/share
 # where the libXpm.a library lives
 XLIB=/usr/X11R6/lib
 <<GCLOPTS-CUSTRELOC>>
+<<ALDOR ENV>>
 <<SRCDIRS>>
 PATCH=patch
 
 ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
     TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
     LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
-    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} \
+    ALDOR_PROJECT=${ALDOR_PROJECT} ALDORVERSION=${ALDORVERSION} \
+    ALDOR_INSTALL=${ALDOR_INSTALL} GENERIC_DIR=${GENERIC_DIR}
 
-all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
-	@echo 46 Environment : ${ENV} 
-	@echo 47 finished system build on `date` | tee >lastBuildDate
+all: rootdirs noweb srcsetup lspdir aldordir srcdir 
+	@echo 116 Makefile.MACOSX called
+	@echo 117 Environment : ${ENV} 
+	@echo 118 finished system build on `date` | tee >lastBuildDate
 
+<<aldor>>
 <<rootdirs>>
 <<noweb>>
 <<literate commands>>
diff --git a/changelog b/changelog
index 09919c7..4e3d1bd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20071216 cys Makefile add -lXpm to loader flags (7045)
 20071215 gxv src/graph/viewman/makegraph.c discardGraph free corrected (7023)
 20071215 tpd src/hyper/Makefile fix typo in bookvol11 building stanza
 20071215 tpd src/hyper/axbook.tgz fix the user/group settings
